/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Vista;

import Utileria.Utilhora;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Calendar;
import java.util.GregorianCalendar;
import javax.swing.ImageIcon;
import javax.swing.Timer;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 *
 * @author Andres Daraviña
 */
public class Menu extends javax.swing.JFrame {

    boolean sesion = false;
    Entradas es;
    Salidas ss;
    Novedad nv;
    Timer tiempo = new Timer(100, new horass());
    String hor;
    String username;
    
    public Menu() {
        initComponents();
        tiempo.start();
    }
    
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu2 = new javax.swing.JMenu();
        MenuAñadir = new javax.swing.JMenuItem();
        Modificar = new javax.swing.JMenu();
        modificar = new javax.swing.JMenuItem();
        modificarrutinas = new javax.swing.JMenuItem();
        Eliminar = new javax.swing.JMenu();
        eliminarMiCuenta = new javax.swing.JMenuItem();
        eliminarRutina = new javax.swing.JMenuItem();
        jMenuFiltro = new javax.swing.JMenu();
        recuperarRutina = new javax.swing.JMenuItem();
        Filtro = new javax.swing.JCheckBoxMenuItem();
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        salida = new javax.swing.JButton();
        entrada = new javax.swing.JButton();
        logeo = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jMenuBar2 = new javax.swing.JMenuBar();
        jMenu5 = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();
        jMenuItem2 = new javax.swing.JMenuItem();
        jMenu6 = new javax.swing.JMenu();
        jMenuItem3 = new javax.swing.JMenuItem();

        jMenu2.setText("Redactar");

        MenuAñadir.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F1, 0));
        MenuAñadir.setText("Añadir");
        jMenu2.add(MenuAñadir);

        jMenuBar1.add(jMenu2);

        Modificar.setText("Modificar Datos");

        modificar.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F2, 0));
        modificar.setText("Modificar Usuario");
        Modificar.add(modificar);

        modificarrutinas.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F3, 0));
        modificarrutinas.setText("Modificar Rutinas");
        Modificar.add(modificarrutinas);

        jMenuBar1.add(Modificar);

        Eliminar.setText("Eliminar Datos");

        eliminarMiCuenta.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F4, 0));
        eliminarMiCuenta.setText("Eliminar Mi Cuenta");
        eliminarMiCuenta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                eliminarMiCuentaActionPerformed(evt);
            }
        });
        Eliminar.add(eliminarMiCuenta);

        eliminarRutina.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F5, 0));
        eliminarRutina.setText("Eliminar Rutina");
        Eliminar.add(eliminarRutina);

        jMenuBar1.add(Eliminar);

        jMenuFiltro.setText("Filtros");

        recuperarRutina.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F6, 0));
        recuperarRutina.setText("Recuperar Rutina");
        jMenuFiltro.add(recuperarRutina);

        Filtro.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F7, 0));
        Filtro.setText("Rutina/Usuarios");
        Filtro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                FiltroActionPerformed(evt);
            }
        });
        jMenuFiltro.add(Filtro);

        jMenuBar1.add(jMenuFiltro);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("PUnivalle C19");
        setResizable(false);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Hora: "+hor, javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 0, 14))); // NOI18N
        jPanel2.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/entradabloq.png"))); // NOI18N
        jPanel2.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(37, 225, -1, -1));

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/salidabloq.png"))); // NOI18N
        jPanel2.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(198, 225, -1, -1));

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel4.setText("Entrada");
        jPanel2.add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(37, 284, -1, -1));

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel5.setText("Salida");
        jPanel2.add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(198, 284, -1, -1));

        salida.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        salida.setBorderPainted(false);
        salida.setContentAreaFilled(false);
        salida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                salidaActionPerformed(evt);
            }
        });
        jPanel2.add(salida, new org.netbeans.lib.awtextra.AbsoluteConstraints(180, 220, 80, 90));

        entrada.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(102, 0, 0)));
        entrada.setBorderPainted(false);
        entrada.setContentAreaFilled(false);
        entrada.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                entradaActionPerformed(evt);
            }
        });
        jPanel2.add(entrada, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 220, 80, 90));

        logeo.setBackground(new java.awt.Color(153, 0, 0));
        logeo.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        logeo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/logeo.png"))); // NOI18N
        logeo.setText("Logeo");
        logeo.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(102, 0, 0)));
        logeo.setContentAreaFilled(false);
        logeo.setDefaultCapable(false);
        logeo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                logeoActionPerformed(evt);
            }
        });
        jPanel2.add(logeo, new org.netbeans.lib.awtextra.AbsoluteConstraints(82, 136, 110, 50));

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/barraver.png"))); // NOI18N
        jPanel2.add(jLabel8, new org.netbeans.lib.awtextra.AbsoluteConstraints(140, 220, -1, 100));

        jLabel9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/Menu.png"))); // NOI18N
        jPanel2.add(jLabel9, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 40, -1, -1));

        jLabel10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/univtrans.png"))); // NOI18N
        jPanel2.add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(-30, -70, 310, 420));

        jPanel1.add(jPanel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 20, 280, 350));

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/univtrans.png"))); // NOI18N
        jPanel1.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(-20, -60, 320, -1));

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/barrahorizonta1.png"))); // NOI18N
        jPanel1.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 380, -1, -1));

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/barrahorizonta.png"))); // NOI18N
        jPanel1.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, 10));

        jMenuBar2.setBackground(new java.awt.Color(255, 255, 255));

        jMenu5.setBackground(new java.awt.Color(255, 255, 255));
        jMenu5.setText("Personas");
        jMenu5.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N

        jMenuItem1.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F1, 0));
        jMenuItem1.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
        jMenuItem1.setText("Crear");
        jMenu5.add(jMenuItem1);

        jMenuItem2.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F2, 0));
        jMenuItem2.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
        jMenuItem2.setText("Eliminar");
        jMenu5.add(jMenuItem2);

        jMenuBar2.add(jMenu5);

        jMenu6.setBackground(new java.awt.Color(255, 255, 255));
        jMenu6.setText("Novedades");
        jMenu6.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N

        jMenuItem3.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F3, 0));
        jMenuItem3.setFont(new java.awt.Font("Segoe UI", 0, 16)); // NOI18N
        jMenuItem3.setText("Modificar");
        jMenuItem3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem3ActionPerformed(evt);
            }
        });
        jMenu6.add(jMenuItem3);

        jMenuBar2.add(jMenu6);

        setJMenuBar(jMenuBar2);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void eliminarMiCuentaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_eliminarMiCuentaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_eliminarMiCuentaActionPerformed

    private void FiltroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_FiltroActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_FiltroActionPerformed

    class horass implements ActionListener{

        public void actionPerformed(ActionEvent e) {
        Calendar horarej = new GregorianCalendar();
        hor = horarej.get(Calendar.HOUR_OF_DAY) + ":" + horarej.get(Calendar.MINUTE) + ":" + horarej.get(Calendar.SECOND);
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Hora: "+hor, javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 0, 14))); // NOI18N
        }
        
    }
    
    private void jMenuItem3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem3ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jMenuItem3ActionPerformed

    private void entradaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_entradaActionPerformed
        if(sesion==true){
        es = new Entradas(null);
        es.setVisible(true);
        }else{
            Dialogos dg = new Dialogos(null,"Por favor inicie sesion","");
            dg.setVisible(true);
        }
    }//GEN-LAST:event_entradaActionPerformed

    private void salidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_salidaActionPerformed
        if(sesion==true){
        ss = new Salidas(null);
        ss.setVisible(true);
        }else{
            Dialogos dg = new Dialogos(null,"Por favor inicie sesion","");
            dg.setVisible(true);
        }
    }//GEN-LAST:event_salidaActionPerformed

    private void logeoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_logeoActionPerformed
        
        Logeo lg = new Logeo(this);
        lg.setVisible(true);
        sesion = lg.sesion;
        username = lg.nicknames;
        
    }//GEN-LAST:event_logeoActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
       
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Windows".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Menu().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenu Eliminar;
    public javax.swing.JCheckBoxMenuItem Filtro;
    public javax.swing.JMenuItem MenuAñadir;
    private javax.swing.JMenu Modificar;
    public javax.swing.JMenuItem eliminarMiCuenta;
    public javax.swing.JMenuItem eliminarRutina;
    private javax.swing.JButton entrada;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenu jMenu5;
    private javax.swing.JMenu jMenu6;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuBar jMenuBar2;
    public javax.swing.JMenu jMenuFiltro;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem2;
    private javax.swing.JMenuItem jMenuItem3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JButton logeo;
    public javax.swing.JMenuItem modificar;
    public javax.swing.JMenuItem modificarrutinas;
    public javax.swing.JMenuItem recuperarRutina;
    private javax.swing.JButton salida;
    // End of variables declaration//GEN-END:variables
}
